apiVersion: v1
kind: Service
metadata:
  name: rabbitmq-service
  namespace: rabbitmq
spec:
  selector:
    app: rabbitmq
  type: LoadBalancer
  ports:
    - name: amqp
      protocol: TCP
      port: 5672
      targetPort: 5672  # RabbitMQ default port for AMQP
    - name: ui
      protocol: TCP
      port: 15672
      targetPort: 15672  # RabbitMQ Management UI port
      nodePort: 30001

